<html>
    <head>
        <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='css/mystyle.css')}}">
        <title>Settings</title>
    </head>
    <body><div id="topbar">
</div>
	<div id="container">
	<div id="header">

	<div class="dropdown">
	<button class="dropbtn">Menu</button>
	  <div class="dropdown-content">
	  <a href="./index.html">HOME</a>
	    <a href="/plot_graph">Device usage summary</a>
	    <a href="/settings">Settings</a>
	    <a href="/logout">Logout</a>
	  </div>
	</div>
	</div>
            
            <div id="banner">
            <P >Welcome {{session["username"]}}!</P>
            </div>
            <center><p>You can type the new value of settings here.</p></center>
            
        <form method="post" style="display: flex; justify-content: center; flex-direction: column; align-items: center;">
        	<div class="input-group">
		    <input type="text" id="arduinoport" name="arduinoport"class='form-control' placeholder="{{x[0]}}">
		    <label for="port">Arduino Port:</label>
		</div>
        	<div class="input-group">
		    <input type="text" id="use_telegram"class='form-control' name="use_telegram"placeholder="{{x[1]}}">
		    <label for="teles">Use telegram Bot(you need to configure your telegram bot actually.):</label>
		</div>
        	<div class="input-group">
		    <input type="text" id="debug" name="debug" class='form-control'placeholder="{{x[2]}}">
		    <label for="debug">DEBUG mode:</label>
		</div>
        	<div class="input-group">
		    <input type="text" class='form-control' id="port" name="port"placeholder="{{x[3]}}">
		    <label for="port" >Server port number:</label>
		</div>
        	<div class="input-group">
		    <input type="text" name="use_automatic_door" id="use_automatic_door" class='form-control'placeholder="{{x[4]}}">
		    <label for="door">Use automatic door:</label>
		</div>
        	<div class="input-group">
		    <input type="text" name="use_https" id="use_https" class='form-control'placeholder="{{x[5]}}">
		    <label for="use-https">Use https(Http-Secured):</label>
		</div>
		<div style="display: flex; flex-direction: row; justify-content: left; flex-wrap: wrap;">
            
            <button type="submit" class="btn" value="Submit" align='left'>Submit</button>
            </div>
         
        </form>
		<center>
		<a href='/addDevice'><button  class="btn"  align='left'>Add/ remove Home devies</button></a>
	</center>
        <p style="color: red;">{{error}}</p>
    </body>
</html>
